<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version = '1.0'
     xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>

<xsl:output method="html"/>

<xsl:variable name="NM" select="'1'" />

<!-- ========================================================== -->
<!-- ================== STRINGS TO TRANSLATE ================== -->
<!-- ========================================================== -->

<xsl:variable name="status_passed"						select='"Passed"'/>
<xsl:variable name="status_failed"						select='"Failed"'/>
<xsl:variable name="status_comparison_failed"           select='"Comparison Failed"'/>
<xsl:variable name="status_inconclusive"				select='"Inconclusive"'/>
<xsl:variable name="compare_label"						select='"Compare"'/>
<xsl:variable name="cartouche_title"					select='"Test: "'/>
<xsl:variable name="cartouche_path"						select='"Path: "'/>
<xsl:variable name="cartouche_run_date"					select='"Run Date: "'/>
<xsl:variable name="cartouche_author"					select='"Author: "'/>
<xsl:variable name="summary_results" 					select='"Summary Results"'/>
<xsl:variable name="testcase_column_name"				select='"Test Case"'/>
<xsl:variable name="status_column_name"					select='"Status"'/>
<xsl:variable name="status_column_nbtest"					select='"NB Test"'/>
<xsl:variable name="testcase_total_line"				select='"Total"'/>
<xsl:variable name="result_status_passed"				select='" Passed"'/>
<xsl:variable name="result_status_failed"				select='" Failed"'/>
<xsl:variable name="stub_column_name"					select='"Stub Name"'/>
<xsl:variable name="call_count_column_name"				select='"Call Count"'/>
<xsl:variable name="results_detail"						select='"Results Detail"'/>
<xsl:variable name="testcase_title"						select='"Test Case: "'/>
<xsl:variable name="service_title"						select='"Service: "'/>
<xsl:variable name="testharness_title"					select='"Test Harness: "'/>
<xsl:variable name="status_no_check"					select='"No Check"'/>
<xsl:variable name="check_block_title"           		select='"Check Block: "'/>
<xsl:variable name="code_block_title"           		select='"Code Block: "'/>
<xsl:variable name="variable_column_name"				select='"Variable Name"'/>
<xsl:variable name="type_column_name"           		select='"Type"'/>
<xsl:variable name="intial_column_name"           		select='"Initial"'/>
<xsl:variable name="expected_column_name"           	select='"Expected"'/>
<xsl:variable name="obtained_column_name"           	select='"Obtained"'/>
<xsl:variable name="compared_column_name"           	select='"Compared"'/>
<xsl:variable name="function_cov__label"         	  	select='"Function and exits"'/>
<xsl:variable name="statement_blocks_cov_label"        	select='"Statement blocks"'/>
<xsl:variable name="implicit_blocks_cov_label"         	select='"Implicit blocks"'/>
<xsl:variable name="decisions_cov_label"      	     	select='"Decisions"'/>
<xsl:variable name="loops_cov_label"           			select='"Loops"'/>
<xsl:variable name="basic_conditions_cov_label"        	select='"Basic conditions"'/>
<xsl:variable name="modified_conditions_cov_label"     	select='"Modified conditions"'/>
<xsl:variable name="calls_cov_label"           			select='"Calls"'/>
<xsl:variable name="global_cov_label"           		select='"Global coverage result"'/>
<xsl:variable name="undefined_cov_label"           		select='"Undefined"'/>
<xsl:variable name="ok_label"							select='"OK"'/>
<xsl:variable name="multiple_value_string"         		select='" tests with multiple values for variable "'/>
<xsl:variable name="stub_file"           				select='"File: "'/>
<xsl:variable name="stub_label" 		          		select='"Stub: "'/>
<xsl:variable name="stub_call_number"         			select='" call #"'/>
<xsl:variable name="requirements"           			select='"Requirements: "'/>
<xsl:variable name="requirement_column_name"         	select='"Name"'/>
<xsl:variable name="comment_column_name" 				select='"Comment"'/>
<xsl:variable name="comment_title" 				select='"Comments:"'/>
<xsl:variable name="iteration" 							select='"Iteration: "'/>
<xsl:variable name="file" 							    select='"File: "'/>
<xsl:variable name="version" 							select='" Version: "'/>
<xsl:variable name="configuration" 						select='"Run configuration:"'/>
<xsl:variable name="name" 							    select='"Name: "'/>
<xsl:variable name="output_dir" 						select='"Output directory: "'/>


<!-- ========================================================== -->
<!-- =================== END OF TRANSLATION =================== -->
<!-- ========================================================== -->

<xsl:variable name="ibm_footer"       			    	select='"IBM Rational Test RealTime"'/>

<xsl:template match="RUN">

<xsl:variable name="global_status_color">
       <xsl:choose>
             <xsl:when test="@STATUS = 'OK'">#7eff7e</xsl:when>
             <xsl:when test="@STATUS = 'Passed'">#7eff7e</xsl:when>
             <xsl:when test="@STATUS = 'KO'">#ff8787</xsl:when>
             <xsl:when test="@STATUS = 'Failed'">#ff8787</xsl:when>
             <xsl:otherwise>#dedede</xsl:otherwise>
       </xsl:choose>
</xsl:variable>

<xsl:variable name="global_status_text">
       <xsl:choose>
             <xsl:when test="@STATUS = 'OK'"><xsl:value-of select="$status_passed"/></xsl:when>
             <xsl:when test="@STATUS = 'Passed'"><xsl:value-of select="$status_passed"/></xsl:when>
             <xsl:when test="@STATUS = 'KO'"><xsl:value-of select="$status_failed"/></xsl:when>
             <xsl:when test="@STATUS = 'Failed'"><xsl:value-of select="$status_failed"/></xsl:when>
             <xsl:otherwise><xsl:value-of select="$status_inconclusive"/></xsl:otherwise>
       </xsl:choose>
</xsl:variable>

<HEAD>
<TITLE><xsl:value-of select="@TESTSUITE_PATH"/> - <xsl:value-of select="@DATE"/> (<xsl:value-of select="@REPORT_NAME"/>)</TITLE>
<STYLE type="text/css">




body {
    background: #7b7b9b;
	margin: 0px 5px 0px 5px;
	text-align: center;
	color: #333333;
	letter-spacing: 0.5px;
	font: 0.75em Arial, 'Lucida Grande', LucidaGrande, Lucida, Helvetica,  sans-serif;
	padding: 0;
}



#report_content {
 	background: white right url(images/sidebar_right.png) repeat-y;
 	width: 90%;
 	margin: 10px auto;
	border-right: 1px solid #ffffff;
	border-left: 1px solid #ffffff;
	position: relative;
	text-align: left;
	padding: 10px;
}

#report_content h1 {
   font-size: 1.5em;
}

#header  {
    background: <xsl:value-of select="$global_status_color" />;
    border: 1px solid #5d5d5d;
    padding: 10px;

}

#cartouche {

    padding: 5px;


}

#testsuite_title {
    font-size: 1.5em;
    padding-bottom: 5px;
}

#testsuite_path {
    font: 1em;
    font-style: italic;
}

#testsuite_rundate {
    font: 1em;
    font-style: italic;
}



#global_status {
    float: right;
    background: <xsl:value-of select="$global_status_color"/>;
    padding: 5px;
    border: 1px solid #5d5d5d;
    font-size: 1.5em;
    font-weight: bold;
}



#summary {
    margin-top: 10px;

}

.coverage_result {
    margin-bottom: 5px;
}

.testcase_list {

   background: #dfdfdf;
   border: 1px solid #5d5d5d;
   width: 50%;

}

.testcase_list_header {
  background: #9b9bAb;
  font: 0.8em;
  font-weight: bold;
  text-align: center;
  color: #eeeeee;
  margin: 2px;
}

.stub_list {

   background: #dfdfdf;
   border: 1px solid #5d5d5d;
   width: 50%;

}

.stub_list_header {
  background: #9b9bAb;
  font: 0.8em;
  font-weight: bold;
  text-align: center;
  color: #eeeeee;
  margin: 2px;
}

.status_column {
   text-align: center;
}



#coverage_summary {
   margin-left: 10px;
}

#testcases_summary {
   margin: 10px;
}

#sub_summary {
   margin: 10px;
}

#detail {
    margin-top: 10px;
}


.test_case {
    margin-left: 10px;
    margin-top: 20px;

}

.testcase_title {

   margin-bottom: 10px;
   border: 1px solid #5d5d5d;

   font-weight: bold;
   font-size: 1.3em;

   padding: 3px;
}

.testcase_documentation {
   border: 1px solid #d2bbbb;
   margin-left: 20px;
   margin-right: 20px;
   margin-bottom: 10px;
   background: #fff9ca;
   color: #5c6163;
   padding: 10px;
   white-space:pre;
}

.testcase_status {
   padding: 5px;
   font-size: 1.1em;
   font-weight: bold;
   float: right;
   border: 1px solid #5d5d5d;

}

.test_case table {

   background: #dfdfdf;
   border: 1px solid #5d5d5d;
   width: 100%;
}

.check_block {
   margin-bottom: 5px;
}

.check_block_title {
   font-size: 1.2em;
   font-style: italic;
   font-weight: bold;
}

.stub_call_result {
   margin-bottom: 5px;
}

.stub_call_title {
   font-size: 1.2em;
   font-style: italic;
   font-weight: bold;
}

.variables_header {
  background: #9b9bAb;
  font: 0.8em;
  font-weight: bold;
  text-align: center;
  color: #eeeeee;
  margin: 2px;
}

.variable_type  {
   text-align: right;
}

.variable_init {
   text-align: right;
}

.variable_comparator{
    text-align: right;
}

.variable_expected {
   text-align: right;
}

.variable_obtained {
    text-align: right;
}

.variable_compared {
    text-align: right;
}

.variable_status {
   text-align: center;
}

.foreach_variable {
   margin-bottom: 10px;
   margin-top: 10px;
   font-size: 1.2em;
   font-weight: bold;
}

.foreach_result_title {
   font-size: 1.2em;
   font-weight: bold;
   margin-bottom: 5px;
   margin-top: 10px;
}

#footer {
   margin-top: 20px;
}

.requirements {
    margin-left: 20px;
    margin-bottom: 10px;
}

.requirements h2 {
     font-size: 1em;
}

.requirements table thead {
    background-color: #bb1fc9;
    color: white;

}

.requirements td {
    padding-left:5px;
     padding-right:5px;
}

.requirements table {
    border: solid 1px grey;
    background-color: #f0c1f4;
   width: initial;
}

.requirement .name {
    font-weight: bold;
}


.comment h2 {
     margin-left: 20px;
     font-size: 1em;
}

.comment ul {
    font-style: oblique;
    font-size: 0.9em;
    margin-left: 10px;
}


.configuration {
    margin-left: 20px;
    margin-bottom: 10px;
}

.configuration h2 {
     font-size: 1em;
}

</STYLE>
</HEAD>

<BODY>




<div id="report_content">
  <div id="header">

    <div id="cartouche">
      <div id="testsuite_title"><xsl:value-of select="$cartouche_title"/> <xsl:value-of select="@TESTSUITE_PATH"/> </div>
      <div id="testsuite_path"><xsl:value-of select="$cartouche_path"/>  <xsl:value-of select="@TESTSUITE_PATH"/>  </div>
      <div id="testsuite_rundate"><xsl:value-of select="$cartouche_run_date"/> <xsl:value-of select="@DATE"/>   </div>
      <div id="testsuite_author"><xsl:value-of select="$cartouche_author"/> <xsl:value-of select="@AUTHOR"/>   </div>

    </div>

    <div id="global_status">  <xsl:value-of select="$global_status_text"/> </div>

  </div>

  <xsl:if test="SERVICE[1]">

  <div id="summary">

    <h1><xsl:value-of select="$summary_results"/></h1>

    <xsl:apply-templates select="TESTED_FILE"/>
    <xsl:apply-templates select="CONFIGURATION" />
    <xsl:apply-templates select="REQUIREMENTS"/>

  <xsl:if test="COVERAGE_RESULT[1]">
    <div id="coverage_summary">
        <xsl:apply-templates select="COVERAGE_RESULT"/>
    </div>
  </xsl:if>

    <div id="testcases_summary">

        <table  class="testcase_list">

              <tr class="testcase_list_header">
              <td><xsl:value-of select="$testcase_column_name"/></td>
              <td><xsl:value-of select="$status_column_name"/></td>
              <td><xsl:value-of select="$status_column_nbtest"/></td>
              </tr>
       <xsl:for-each select="SERVICE">

       <xsl:variable name="testcase_status_text">
          <xsl:choose>
             <xsl:when test="@STATUS = 'OK'"><xsl:value-of select="$status_passed"/></xsl:when>
             <xsl:when test="@STATUS = 'Passed'"><xsl:value-of select="$status_passed"/></xsl:when>
             <xsl:when test="@STATUS = 'KO'"><xsl:value-of select="$status_failed"/></xsl:when>
             <xsl:when test="@STATUS = 'Failed'"><xsl:value-of select="$status_failed"/></xsl:when>
             <xsl:otherwise><xsl:value-of select="$status_inconclusive"/></xsl:otherwise>
          </xsl:choose>
       </xsl:variable>

       <xsl:variable name="testcase_status_color">
       <xsl:choose>
             <xsl:when test="@STATUS = 'OK'">#7eff7e</xsl:when>
             <xsl:when test="@STATUS = 'Passed'">#7eff7e</xsl:when>
             <xsl:when test="@STATUS = 'KO'">#ff8787</xsl:when>
             <xsl:when test="@STATUS = 'Failed'">#ff8787</xsl:when>
             <xsl:otherwise>#dedede</xsl:otherwise>
       </xsl:choose>
       </xsl:variable>


       <tr style="background: {$testcase_status_color}">
             <td> <xsl:value-of select="@NAME"/></td>
             <td class="status_column"><xsl:value-of select="$testcase_status_text"/></td>
             <td class="status_column"><xsl:value-of select="@NB_VALID"/>/<xsl:value-of select="@NB_TEST"/></td>
        </tr>
      </xsl:for-each>

      <tr >
          <td><xsl:value-of select="$testcase_total_line"/></td>
          <td style="text-align:center"><xsl:value-of select="count(/RUN/SERVICE[@STATUS='OK'])"/> <xsl:value-of select="$result_status_passed"/> -
          <xsl:value-of select="count(/RUN/SERVICE[@STATUS='KO'])"/> <xsl:value-of select="$result_status_failed"/></td>
          <td style="text-align:center"><xsl:value-of select="count(/RUN/SERVICE/TEST[@STATUS='OK'])"/> <xsl:value-of select="$result_status_passed"/> -
          <xsl:value-of select="count(/RUN/SERVICE/TEST[@STATUS='KO'])"/> <xsl:value-of select="$result_status_failed"/></td>
      </tr>

      </table>

    </div>

  </div>

  </xsl:if>

  <div id="detail">
     <h1><xsl:value-of select="$results_detail"/></h1>

     <xsl:apply-templates select="TESTSUITECALL_RESULT" />
     <xsl:apply-templates select="SERVICE" />


  </div>


  <div id="footer">
     <hr/>
     <xsl:value-of select="$ibm_footer"/>
  </div>

</div>

</BODY>

</xsl:template>


<xsl:template match="SERVICE">

     <xsl:variable name="testcase_status_text">
          <xsl:choose>
             <xsl:when test="@STATUS = 'OK'"><xsl:value-of select="$status_passed"/></xsl:when>
             <xsl:when test="@STATUS = 'Passed'"><xsl:value-of select="$status_passed"/></xsl:when>
             <xsl:when test="@STATUS = 'KO'"><xsl:value-of select="$status_failed"/></xsl:when>
             <xsl:when test="@STATUS = 'Failed'"><xsl:value-of select="$status_failed"/></xsl:when>
             <xsl:otherwise><xsl:value-of select="$status_inconclusive"/></xsl:otherwise>
          </xsl:choose>
     </xsl:variable>

     <xsl:variable name="testcase_status_color">
       <xsl:choose>
             <xsl:when test="@STATUS = 'OK'">#7eff7e</xsl:when>
             <xsl:when test="@STATUS = 'Passed'">#7eff7e</xsl:when>
             <xsl:when test="@STATUS = 'KO'">#ff8787</xsl:when>
             <xsl:when test="@STATUS = 'Failed'">#ff8787</xsl:when>
             <xsl:otherwise>#dedede</xsl:otherwise>
       </xsl:choose>
     </xsl:variable>

     <div class="test_case">

        <a name="{translate(@NAME,'#','')}"></a>
        <div class="testcase_title" style="background: {$testcase_status_color}"><xsl:value-of select="$service_title"/><xsl:value-of select="@NAME"/>
           <div class="testcase_status" style="background: {$testcase_status_color}"> <xsl:value-of select="$testcase_status_text"/> </div>
        </div>

  <xsl:if test="COMMENT[1]">
        <div class="comment">
        <h2><xsl:value-of select="$comment_title"/></h2>
        <ul class="comment">
        <xsl:apply-templates select="COMMENT"/>
        </ul></div>
  </xsl:if>

        <xsl:apply-templates select="REQUIREMENTS"/>

  <xsl:if test="COVERAGE_RESULT[1]">
        <div class="coverage_results">
            <xsl:apply-templates select="COVERAGE_RESULT"/>
        </div>
  </xsl:if>

        <xsl:apply-templates select="TEST"/>

     </div>

</xsl:template>

<xsl:template match="TEST">

     <xsl:variable name="testcase_status_text">
          <xsl:choose>
             <xsl:when test="@STATUS = 'OK'"><xsl:value-of select="$status_passed"/></xsl:when>
             <xsl:when test="@STATUS = 'Passed'"><xsl:value-of select="$status_passed"/></xsl:when>
             <xsl:when test="@STATUS = 'KO'"><xsl:value-of select="$status_failed"/></xsl:when>
             <xsl:when test="@STATUS = 'Failed'"><xsl:value-of select="$status_failed"/></xsl:when>
             <xsl:otherwise><xsl:value-of select="$status_inconclusive"/></xsl:otherwise>
          </xsl:choose>
     </xsl:variable>

     <xsl:variable name="testcase_status_color">
       <xsl:choose>
             <xsl:when test="@STATUS = 'OK'">#7eff7e</xsl:when>
             <xsl:when test="@STATUS = 'Passed'">#7eff7e</xsl:when>
             <xsl:when test="@STATUS = 'KO'">#ff8787</xsl:when>
             <xsl:when test="@STATUS = 'Failed'">#ff8787</xsl:when>
             <xsl:otherwise>#dedede</xsl:otherwise>
       </xsl:choose>
     </xsl:variable>

     <div class="test_case">

        <a name="{translate(@NAME,'#','')}"></a>
        <div class="testcase_title" style="background: {$testcase_status_color}"><xsl:value-of select="$testcase_title"/><xsl:value-of select="@NAME"/>
           <div class="testcase_status" style="background: {$testcase_status_color}"> <xsl:value-of select="$testcase_status_text"/> </div>
        </div>


  <xsl:if test="COMMENT[1]">
        <div class="comment">
        <h2><xsl:value-of select="$comment_title"/></h2>
        <xsl:apply-templates select="COMMENT"/>
        </div>
  </xsl:if>

        <xsl:apply-templates select="REQUIREMENTS"/>

  <xsl:if test="COVERAGE_RESULT[1]">
        <div class="coverage_results">
            <xsl:apply-templates select="COVERAGE_RESULT"/>
        </div>
  </xsl:if>

     </div>

</xsl:template>

<xsl:template match="COVERAGE_RESULT">
<div class="coverage_result">

   <h3>Coverage <xsl:value-of select="@MODULE"/></h3>
   <xsl:apply-templates select="COVERAGE_DETAILS"/>
</div>
</xsl:template>

<xsl:template match="COVERAGE_DETAILS">

   <xsl:value-of select="@CODE"/>
   <xsl:text>: </xsl:text>
   <xsl:value-of select="format-number((@COVERED_BRANCH div @BRANCH_NUMBER) * 100, '#.00')"/>
   <xsl:text>% </xsl:text>
</xsl:template>


<xsl:template match="FOREACH_VARIABLE_DEFINITION">

  <div class="foreach_variable">
     <xsl:value-of select="@MULTI_COUNT"/><xsl:value-of select="$multiple_value_string"/><i><xsl:value-of select="@NAME"/></i>
  </div>

</xsl:template>

<xsl:template match="ATTRIBUTE">
    <td><xsl:value-of select="@VALUE"/></td>
</xsl:template>


<xsl:template match="REQUIREMENT[1]">
    <thead>
           <tr class="requirement">
             <td><xsl:value-of select="$requirement_column_name"/></td>
             <xsl:for-each select="ATTRIBUTE">
                 <td><xsl:value-of select="@NAME"/></td>
             </xsl:for-each>
           </tr>
    </thead>
</xsl:template>


<xsl:template name="REQ_TABLE_HEADER" match="REQUIREMENT">
     <tr class="requirement">
           <td class="name"><xsl:value-of select="@NAME"/></td>
           <xsl:apply-templates select="ATTRIBUTE" />
    </tr >
</xsl:template>

<xsl:template match="TESTED_FILE">

    <div class="tested_file">
    <xsl:value-of select="$file"/><xsl:value-of select="@PATH"/>
    <xsl:value-of select="$version"/><xsl:value-of select="@VERSION"/>
    </div>

</xsl:template>

<xsl:template match="COMMENT">

            <xsl:value-of select="." /><br />

</xsl:template>

<xsl:template match="REQUIREMENTS">

    <div class="requirements">
    <h2><xsl:value-of select="$requirements"/></h2>
    <table>
         <xsl:apply-templates  select="REQUIREMENT[1]" />

         <xsl:for-each select="REQUIREMENT">
            <xsl:call-template name="REQ_TABLE_HEADER" />
         </xsl:for-each>
    </table>
    </div>

</xsl:template>


<xsl:template match="CONFIGURATION">

    <div class="configuration">
    <h2><xsl:value-of select="$configuration"/></h2>
    <ul>
    	<li><xsl:value-of select="$name"/> <xsl:value-of select="@NAME"/></li>
    	<li><xsl:value-of select="$output_dir"/> <xsl:value-of select="@OUTPUT_DIRECTORY"/></li>
    </ul>
    </div>

</xsl:template>


<xsl:template match="FOREACH_RESULT">

       <xsl:variable name="foreach_status_text">
          <xsl:choose>
             <xsl:when test="@STATUS = 'OK'"><xsl:value-of select="$status_passed"/></xsl:when>
             <xsl:when test="@STATUS = 'Passed'"><xsl:value-of select="$status_passed"/></xsl:when>
             <xsl:when test="@STATUS = 'KO'"><xsl:value-of select="$status_failed"/></xsl:when>
             <xsl:when test="@STATUS = 'Failed'"><xsl:value-of select="$status_failed"/></xsl:when>
             <xsl:otherwise><xsl:value-of select="$status_inconclusive"/></xsl:otherwise>
          </xsl:choose>
        </xsl:variable>

        <xsl:variable name="foreach_status_color">
          <xsl:choose>
             <xsl:when test="@STATUS = 'OK'">#7eff7e</xsl:when>
             <xsl:when test="@STATUS = 'Passed'">#7eff7e</xsl:when>
             <xsl:when test="@STATUS = 'KO'">#ff8787</xsl:when>
             <xsl:when test="@STATUS = 'Failed'">#ff8787</xsl:when>
             <xsl:otherwise>#dedede</xsl:otherwise>
          </xsl:choose>
        </xsl:variable>

    <div class="foreach_result_title">
       <xsl:value-of select="$iteration"/><xsl:value-of select="@ITERATION" />
    </div>

    <xsl:for-each select="CHECKBLOCK_RESULT">
       <xsl:variable name="chkid" select="@CHECKBLOCK_RESULT_REF" />
       <xsl:apply-templates select="//RUN/*/CHECKBLOCK_RESULT[@REF = $chkid]"  />
    </xsl:for-each>


     <xsl:for-each select="STUB_BEHAVIOR_RESULT">
       <xsl:variable name="stbid" select="@STUB_BEHAVIOR_RESULT_REF" />
       <xsl:apply-templates select="//RUN/*/STUB_BEHAVIOR_RESULT[@REF=$stbid]" />

    </xsl:for-each>



</xsl:template>


<xsl:template match="TESTSUITECALL_RESULT">

     <xsl:variable name="testcase_status_text">
          <xsl:choose>
             <xsl:when test="(@RUN_STATUS = 'OK') and (@COMPARISON_STATUS = 'KO')">
                    <xsl:value-of select="$status_comparison_failed"/>
             </xsl:when>
             <xsl:when test="(@RUN_STATUS = 'Passed') and (@COMPARISON_STATUS = 'Failed')">
                    <xsl:value-of select="$status_comparison_failed"/>
             </xsl:when>
             <xsl:when test="@STATUS = 'OK'"><xsl:value-of select="$status_passed"/></xsl:when>
             <xsl:when test="@STATUS = 'Passed'"><xsl:value-of select="$status_passed"/></xsl:when>
             <xsl:when test="@STATUS = 'KO'"><xsl:value-of select="$status_failed"/></xsl:when>
             <xsl:when test="@STATUS = 'Failed'"><xsl:value-of select="$status_failed"/></xsl:when>
             <xsl:otherwise><xsl:value-of select="$status_inconclusive"/></xsl:otherwise>
          </xsl:choose>
     </xsl:variable>

     <xsl:variable name="testcase_status_color">
       <xsl:choose>
             <xsl:when test="@STATUS = 'OK'">#7eff7e</xsl:when>
             <xsl:when test="@STATUS = 'Passed'">#7eff7e</xsl:when>
             <xsl:when test="@STATUS = 'KO'">#ff8787</xsl:when>
             <xsl:when test="@STATUS = 'Failed'">#ff8787</xsl:when>
             <xsl:otherwise>#dedede</xsl:otherwise>
       </xsl:choose>
     </xsl:variable>

     <xsl:variable name="link_value">
        <xsl:value-of select="@REPORT_NAME"/>
     </xsl:variable>

     <div class="test_case">

        <a name="{translate(@NAME,'#','')}"></a>
        <div class="testcase_title" style="background: {$testcase_status_color}">
           <xsl:value-of select="$testharness_title"/>

           <xsl:choose>
             <xsl:when test="@REPORT_NAME">
                <a href="{$link_value}">
                   <xsl:value-of select="@NAME"/>
                </a>
             </xsl:when>
             <xsl:otherwise>
                <xsl:value-of select="@NAME"/>

             </xsl:otherwise>
           </xsl:choose>

           <div class="testcase_status" style="background: {$testcase_status_color}"> <xsl:value-of select="$testcase_status_text"/> </div>
        </div>

    </div>

  <xsl:if test="COVERAGE_RESULT[1]">
   <div class="coverage_results">
      <xsl:apply-templates select="COVERAGE_RESULT"/>
   </div>
  </xsl:if>

   <xsl:apply-templates select="REQUIREMENTS" />

   <xsl:apply-templates select="SERVICE" />


</xsl:template>



</xsl:stylesheet>
